Bug 190422 - Memory leak on Winbind
Memory leak on Winbind
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 03:43 EDT by Stuart Ellis
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Samba configuration (1.33 KB, application/octet-stream)
2006-05-02 03:43 EDT, Stuart Ellis
no flags Details
Kerberos configuration file (735 bytes, application/octet-stream)
2006-05-02 03:44 EDT, Stuart Ellis
no flags Details

  None (edit)
Description Stuart Ellis 2006-05-02 03:43:34 EDT
Description of problem:

Winbind process periodically begins to leak memory, and memory utilisation then
grows without limit until the service is restarted.

Winbind has been set to run in double daemon mode with option in
/etc/sysconfig/samba.

The servers are authenticating against a Windows 2000 domain controller of
approx 6,000 accounts.

No nscd process is running.


Version-Release number of selected component (if applicable):

Systems use samba-3.0.9-1.3E.7 package as supplied by RHN.

How reproducible:

Run the servers for a long time :)

Actual results:

Memory utilisation begins to grows from 4% and continues to rise until service
is restarted.

Expected results:

Memory utilisation should be stable.


Additional info:

Attaching smb.conf and krb5.conf.
Comment 1 Stuart Ellis 2006-05-02 03:43:35 EDT
Created attachment 128471 [details]
Samba configuration
Comment 2 Stuart Ellis 2006-05-02 03:44:48 EDT
Created attachment 128472 [details]
Kerberos configuration file

Uploaded krb5.conf.
Comment 3 RHEL Product and Program Management 2007-10-19 14:44:53 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.